org.h2.android

## Class H2Statement

- java.lang.Object
- - android.database.sqlite.SQLiteClosable
  - - org.h2.android.H2Closable
    - - org.h2.android.H2Program
      - - org.h2.android.H2Statement

    public class H2Statement
    extends H2Program

Represents a prepared statement.

### Field Summary

### Fields inherited from class org.h2.android.H2Program

`prepared`

### Method Summary

Methods
`void` `execute()` Execute the statement.
`long` `executeInsert()` Execute the insert statement and return the id of the inserted row.
`long` `simpleQueryForLong()` Execute the query and return the value of the first column and row as a long.
`java.lang.String` `simpleQueryForString()` Execute the query and return the value of the first column and row as a string.

### Methods inherited from class org.h2.android.H2Program

`bindBlob, bindDouble, bindLong, bindNull, bindString, clearBindings, close, getUniqueId, onAllReferencesReleased, onAllReferencesReleasedFromContainer`

### Methods inherited from class org.h2.android.H2Closable

`acquireReference, releaseReference, releaseReferenceFromContainer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### execute

    public void execute()

Execute the statement.

#### executeInsert

    public long executeInsert()

Execute the insert statement and return the id of the inserted row.

Returns:
  the id of the inserted row

#### simpleQueryForLong

    public long simpleQueryForLong()

Execute the query and return the value of the first column and row as a long.

Returns:
  the value

#### simpleQueryForString

    public java.lang.String simpleQueryForString()

Execute the query and return the value of the first column and row as a string.

Returns:
  the value